mariadb_connection(3)

  Name
mariadb_connection - checks if the client is connected to a MariaDB database server

  Synopsis

        #include <mysql.h>

        my_bool mariadb_connection(MYSQL * mysql);

  Description
Checks if the client is connected to a MariaDB or MySQL database server.

  Parameter
mysql - mysql handle, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Return value
Returns a non zero value if connected to a MariaDB database server, otherwise zero.